<EntityClassDefinition.TE_weapon_box_template __id="d5230dc0-b6ca-4fae-ac80-af4d945d5c76" __path="libs/foundry/records/entities/scitem/human/lt/prop/storage/box/te_weapon_box_template.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/buildingsets/human/lowtech/prop/storage/box/box_plastic_4_weapon_opened_015x01x0025_a.cgf" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants />
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityStaticPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" gameCollisionClass="None" Mass="0.0" />
    </SEntityPhysicsControllerParams>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="00000000-0000-0000-0000-000000000000" RequiredTags="" Size="3" SubType="UNDEFINED" Tags="" Type="Misc">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@LOC_PLACEHOLDER" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SSpawnerParams __type="DataForgeComponentParams" __polymorphicType="SSpawnerParams" faction="00000000-0000-0000-0000-000000000000" groupIndex="0" onRequestSpawn="0" prerequisite="None" spawnInMovement="0" spawnOnGameStart="1" spawnWithinPlayerRange="1" startActive="1">
      <despawnRules __type="SDespawnRules" despawnDelaySeconds="0.0">
        <rules />
      </despawnRules>
      <entitiesToSpawn>
        <SSpawnEntity __type="SSpawnEntity" attachToItemPort="1" entity="02d4cd2e-fa98-4086-aee1-6b2dfce8ea27" infiniteMissiles="0" itemPortName="weapon_01" triggerAreas="0" vehicleSpawnDeployLandingGears="1" vehicleSpawnFlightReady="0">
          <spawnOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
        </SSpawnEntity>
      </entitiesToSpawn>
      <portRefillData __type="BasePortRefillData" __polymorphicType="IndividualPortRefillData">
        <portRefillData />
      </portRefillData>
      <spawnRules __type="SSpawnRules" __polymorphicType="SSpawnOnDropped" timeAfterDrop="10.0" />
      <wildcardPorts />
    </SSpawnerParams>
    <SEntityLootableContainerParams __type="DataForgeComponentParams" __polymorphicType="SEntityLootableContainerParams" bespokePlace="0" blockingTagsOnSwapOutfit="" exactPlaceIntoPort="None" forceFirstSelect="0" fragmentTags="" infiniteLootable="0" initialLocalPlayerAccess="1" mainInteractionPoint="None" openInventoryInteraction="None" placeIntoPortInteraction="None" radius="1.600000023841858" smartRefillAmmo="0" smartRefillGrenadesAndAmmo="0" validTagsOnSwapOutfit="">
      <itemPortRules />
      <mainInteractions />
      <maxOffsetRotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
      <maxOffsetTranslation __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <outfitHangerGroups />
      <placeOutfitRules />
      <takeExclussionRules />
    </SEntityLootableContainerParams>
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" materialEffects="None" particleEffects="None" soundEffects="None" uiOwnerEffects="None">
        <lightEffects __type="SEntityEffectSystem_Category" __polymorphicType="EntityEffectSystem_LightCategory" allowMultipleTags="1" enabled="1">
          <tagEffects>
            <EntityEffectSystem_LightTagEffect __type="EntityEffectSystem_LightEffect" __polymorphicType="EntityEffectSystem_LightTagEffect" affectsFog="1" affectThisAreaOnly="0" ambient="0" castShadow="0" colorTemperature="6600.0" diffuseMultiplier="1.0" enabled="1" fakeLight="0" holographic="0" lightImportance="Standard" lightLink="None" maxShadowCastDistance="0.0" name="Light-001" shadowQualityCap="Full" softBulb="0" tag="00000000-0000-0000-0000-000000000000" useTemperature="0" viewDistanceRatio="100" visibleFirstPerson="1" visibleShadows="1" visibleThirdPerson="1">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.17749999463558197" />
                  <Rotation __type="Ang3" x="90.0" y="90.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <color __type="RGB" b="0.5710999965667725" g="0.29170000553131104" r="0.010300000198185444" />
              <flare __type="LightFlareParams" attachToSun="0" flare="" flareEnabled="0" flareFOV="360.0" flareScale="1.0" />
              <lightType __type="EntityEffectSystem_LightType" __polymorphicType="EntityEffectSystem_LightType_AreaLight" fovAngle="90.0" planeHeight="0.375" planeWidth="1.375" radius="0.16750000417232513" softness="1.0" />
              <propertyLinks />
            </EntityEffectSystem_LightTagEffect>
            <EntityEffectSystem_LightTagEffect __type="EntityEffectSystem_LightEffect" __polymorphicType="EntityEffectSystem_LightTagEffect" affectsFog="1" affectThisAreaOnly="0" ambient="0" castShadow="0" colorTemperature="6600.0" diffuseMultiplier="1.0" enabled="1" fakeLight="0" holographic="0" lightImportance="Standard" lightLink="None" maxShadowCastDistance="0.0" name="Light-001" shadowQualityCap="Full" softBulb="0" tag="00000000-0000-0000-0000-000000000000" useTemperature="0" viewDistanceRatio="100" visibleFirstPerson="1" visibleShadows="1" visibleThirdPerson="1">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="90.0" y="-90.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <color __type="RGB" b="0.5710999965667725" g="0.29170000553131104" r="0.010300000198185444" />
              <flare __type="LightFlareParams" attachToSun="0" flare="" flareEnabled="0" flareFOV="360.0" flareScale="1.0" />
              <lightType __type="EntityEffectSystem_LightType" __polymorphicType="EntityEffectSystem_LightType_ProjectorLight" attenuationBulbSize="0.0" focusedBeam="0" fovAngle="160.0" radius="2.0" texturePath="textures/lights/light_tube_soft_edge_02.tif" />
              <propertyLinks />
            </EntityEffectSystem_LightTagEffect>
          </tagEffects>
          <triggerEffects />
        </lightEffects>
        <sequencerTags />
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="1" Name="weapon_01" PortTags="weapon_01" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationStatObj">
            <Helper __type="SItemPortDefHelperNode" Tags="$slot_weapon_01">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="WeaponPersonal">
              <SubTypes />
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
  </Components>
  <StaticEntityClassData />
  <tags />
</EntityClassDefinition.TE_weapon_box_template>